Configure Pre-Roll Ads
Enables or disables live ad pre-roll. When enabled is N the pre-roll configuration is removed entirely.
curl -X POST "https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/preroll" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"maxDuration": 30,
"offset": 0,
"startOver": "Y"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/preroll"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"maxDuration": 30,
"offset": 0,
"startOver": "Y"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/preroll", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"maxDuration": 30,
"offset": 0,
"startOver": "Y"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"maxDuration": 30,
"offset": 0,
"startOver": "Y"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/preroll", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/preroll')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"maxDuration": 30,
"offset": 0,
"startOver": "Y"
}'
response = http.request(request)
puts response.body
{
"result": "success"
}
{
"result": "error",
"message": "Descriptive error message."
}
/streams/scheduledplaylist/{streamid}/adinsertion/prerollTarget server for requests. Edit to use your own host.
API key (sent in header)
Numeric stream ID.
The media type of the request body
Enable or disable pre-roll.
Maximum pre-roll duration in seconds.
Playback offset in seconds before the pre-roll starts.
Pass Y to restart the stream from the beginning after the pre-roll.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Numeric stream ID.
Body
Maximum pre-roll duration in seconds.
Playback offset in seconds before the pre-roll starts.
Responses
Status of the API response.
successerrorHuman-readable message describing the result.